<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-produit-heading" data-cy="ProduitCreateUpdateHeading" jhiTranslate="blogApp.produit.home.createOrEditLabel">
        Créer ou éditer un Produit
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="blogApp.produit.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          <div *ngIf="editForm.get('id')!.invalid && (editForm.get('id')!.dirty || editForm.get('id')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('id')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
            <small class="form-text text-danger" [hidden]="!editForm.get('id')?.errors?.number" jhiTranslate="entity.validation.number">
              Ce champ doit être un nombre.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.produit.intitule" for="field_intitule">Intitule</label>
          <input type="number" class="form-control" name="intitule" id="field_intitule" data-cy="intitule" formControlName="intitule" />
          <div *ngIf="editForm.get('intitule')!.invalid && (editForm.get('intitule')!.dirty || editForm.get('intitule')!.touched)">
            <small
              class="form-text text-danger"
              *ngIf="editForm.get('intitule')?.errors?.required"
              jhiTranslate="entity.validation.required"
            >
              Ce champ est obligatoire.
            </small>
            <small
              class="form-text text-danger"
              [hidden]="!editForm.get('intitule')?.errors?.number"
              jhiTranslate="entity.validation.number"
            >
              Ce champ doit être un nombre.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.produit.prix" for="field_prix">Prix</label>
          <input type="number" class="form-control" name="prix" id="field_prix" data-cy="prix" formControlName="prix" />
          <div *ngIf="editForm.get('prix')!.invalid && (editForm.get('prix')!.dirty || editForm.get('prix')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('prix')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
            <small class="form-text text-danger" [hidden]="!editForm.get('prix')?.errors?.number" jhiTranslate="entity.validation.number">
              Ce champ doit être un nombre.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.produit.boutique" for="field_boutique">Boutique</label>
          <select
            class="form-control"
            id="field_boutique"
            data-cy="boutique"
            name="boutique"
            formControlName="boutique"
            [compareWith]="compareBoutique"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="boutiqueOption" *ngFor="let boutiqueOption of boutiquesSharedCollection">{{ boutiqueOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
